org.gradle.api.artifacts

## Interface ComponentModuleMetadataDetails

- All Superinterfaces:
    ComponentModuleMetadata

      @Incubating
      public interface ComponentModuleMetadataDetails
      extends ComponentModuleMetadata

  Contains and allows configuring component module metadata information. For information and examples please see `ComponentModuleMetadataHandler`
  Since:
    2.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `replacedBy(Object moduleNotation)` Configures a replacement module for this module.
    `void` | `replacedBy(Object moduleNotation, String reason)` Configures a replacement module for this module and provides an explanation for the replacement.

    - ### Methods inherited from interface org.gradle.api.artifacts.ComponentModuleMetadata

      `getId, getReplacedBy`

- - ### Method Detail

    - #### replacedBy

          void replacedBy(Object moduleNotation)

      Configures a replacement module for this module. A real world example: 'com.google.collections:google-collections' is replaced by 'com.google.guava:guava'. Subsequent invocations of this method replace the previous 'replacedBy' value. For information and examples please see `ComponentMetadataHandler`.
      Parameters:
        `moduleNotation` - a String like 'com.google.guava:guava', an instance of `ModuleVersionIdentifier`, null is not permitted

    - #### replacedBy

          void replacedBy(Object moduleNotation,
                          @Nullable
                          String reason)

      Configures a replacement module for this module and provides an explanation for the replacement. A real world example: 'com.google.collections:google-collections' is replaced by 'com.google.guava:guava'. Subsequent invocations of this method replace the previous 'replacedBy' value. For information and examples please see `ComponentMetadataHandler`.
      Parameters:
        `moduleNotation` - a String like 'com.google.guava:guava', an instance of `ModuleVersionIdentifier`, null is not permitted
        `reason` - the reason for the replacement, for diagnostics
      Since:
        4.5